Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs	(revision 1716)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs	(revision 1717)
@@ -138,5 +138,4 @@
       this.tbUserName.Size = new System.Drawing.Size(189, 20);
       this.tbUserName.TabIndex = 2;
-     // this.tbUserName.TextChanged += new System.EventHandler(this.tbUserName_TextChanged);
       this.tbUserName.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1716)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1717)
@@ -28,4 +28,5 @@
       this.menuStrip1 = new System.Windows.Forms.MenuStrip();
       this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.refreshToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.addToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
@@ -85,5 +86,4 @@
       this.tcManagementConsole = new System.Windows.Forms.TabControl();
       this.checkBox1 = new System.Windows.Forms.CheckBox();
-      this.refreshToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.menuStrip1.SuspendLayout();
       this.plClientDetails.SuspendLayout();
@@ -130,8 +130,15 @@
       this.informationToolStripMenuItem.Text = "Management";
       // 
+      // refreshToolStripMenuItem
+      // 
+      this.refreshToolStripMenuItem.Name = "refreshToolStripMenuItem";
+      this.refreshToolStripMenuItem.Size = new System.Drawing.Size(123, 22);
+      this.refreshToolStripMenuItem.Text = "Refresh";
+      this.refreshToolStripMenuItem.Click += new System.EventHandler(this.refreshToolStripMenuItem_Click);
+      // 
       // closeToolStripMenuItem
       // 
       this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
-      this.closeToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.closeToolStripMenuItem.Size = new System.Drawing.Size(123, 22);
       this.closeToolStripMenuItem.Text = "Close";
       this.closeToolStripMenuItem.Click += new System.EventHandler(this.Close_Click);
@@ -574,6 +581,6 @@
       this.ilSmallImgJob.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmallImgJob.ImageStream")));
       this.ilSmallImgJob.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilSmallImgJob.Images.SetKeyName(0, "Forward.png");
-      this.ilSmallImgJob.Images.SetKeyName(1, "ok.png");
+      this.ilSmallImgJob.Images.SetKeyName(0, "ok.png");
+      this.ilSmallImgJob.Images.SetKeyName(1, "Forward.png");
       this.ilSmallImgJob.Images.SetKeyName(2, "pause.png");
       // 
@@ -677,11 +684,4 @@
       this.checkBox1.Text = "checkBox1";
       this.checkBox1.UseVisualStyleBackColor = true;
-      // 
-      // refreshToolStripMenuItem
-      // 
-      this.refreshToolStripMenuItem.Name = "refreshToolStripMenuItem";
-      this.refreshToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.refreshToolStripMenuItem.Text = "Refresh";
-      this.refreshToolStripMenuItem.Click += new System.EventHandler(this.refreshToolStripMenuItem_Click);
       // 
       // HiveServerManagementConsole
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1716)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1717)
@@ -395,5 +395,11 @@
       lvSnapshots.Enabled = true;
       currentJob = jobs.List[i];
-      pbJobControl.Image = ilLargeImgJob.Images[0];
+      if (currentJob.State == State.offline) {
+        pbJobControl.Image = ilLargeImgJob.Images[2];
+      } else if (currentJob.State == State.calculating) {
+        pbJobControl.Image = ilLargeImgJob.Images[1];
+      } else if (currentJob.State == State.finished) {
+        pbJobControl.Image = ilLargeImgJob.Images[0];
+      }
       lblJobName.Text = currentJob.Id.ToString();
       progressJob.Value = (int)(currentJob.Percentage * 100);
@@ -455,10 +461,13 @@
             if (state == State.finished) {
               lvJobControl.Items[i].Group = jobGroup[1];
+              lvJobControl.Items[i].ImageIndex = 0;
               System.Diagnostics.Debug.WriteLine("finished");
             } else if (state == State.calculating) {
               lvJobControl.Items[i].Group = jobGroup[0];
+              lvJobControl.Items[i].ImageIndex = 1;
               System.Diagnostics.Debug.WriteLine("calculating");
             } else if (state == State.offline) {
               lvJobControl.Items[i].Group = jobGroup[2];
+              lvJobControl.Items[i].ImageIndex = 2;
               System.Diagnostics.Debug.WriteLine("offline");
 
@@ -469,5 +478,5 @@
       } else if (change.ChangeType == Change.Create) {
         ListViewItem lvi = new ListViewItem(
-          change.ID.ToString(), 0, jobGroup[2]);
+          change.ID.ToString(), 2, jobGroup[2]);
         jobObjects.Add(change.ID, lvi);
         lvJobControl.Items.Add(lvi);
@@ -768,10 +777,17 @@
 
             found = true;
+            bool change = false;
+            if (job.State != jobold.State) {
+              change = true;
+            }
             if (job.State != State.offline) {
               if ((!IsEqual(job.Client, jobold.Client)) || (job.State != jobold.State)
                    || (job.Percentage != jobold.Percentage)) {
-                changes.Add(new Changes { Types = Type.Job, ID = job.Id, ChangeType = Change.Update, Position = i });
+                change = true;
               }
             } else if (job.DateCalculated != jobold.DateCalculated) {
+              change = true;
+            }
+            if (change) {
               changes.Add(new Changes { Types = Type.Job, ID = job.Id, ChangeType = Change.Update, Position = i });
             }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1716)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1717)
@@ -308,7 +308,4 @@
     <value>462, 9</value>
   </metadata>
-  <metadata name="updaterWoker.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>388, 41</value>
-  </metadata>
   <metadata name="contextMenuJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>252, 44</value>
@@ -350,19 +347,22 @@
         AQABzAH/AWYBAAL/AZkBAAL/AcwBAAJmAf8BAAFmAf8BZgEAAWYC/wEAAf8CZgEAAf8BZgH/AQAC/wFm
         AQABIQEAAaUBAANfAQADdwEAA4YBAAOWAQADywEAA7IBAAPXAQAD3QEAA+MBAAPqAQAD8QEAA/gBAAHw
-        AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wMAAccLrAGhAwABbAo2
-        ATUBoQMAAWcLTQGhEgACrALbB9UB2wHUAawBoQEAAVABNgI3AjYGNwI2AaEBAAFMAU0CWQJTBlkBUwFN
-        AaEQAAGhAawN1AGsAaEONgE1AaEBTQFTAk0KUwFNEAABxw7UAawBbA82AYwBUwJNC1MBTRAAAccE1AHc
-        CdQBrAFsBjYBVwg2AWcCTQJTAZoB/wGaAVMC/wRTAU0QAAHHBNQC/wHcB9QBrAFsBTYBGwH/CDYBZwFN
-        A1MBmgH/ARoBUwL/BFMBTRAAAccE1AT/AdwF1AGsAWwENgFYAv8B9gc2AWcEUwGaAf8BGgFTAv8EUwFN
-        EAABxwTUBv8B2wPUAawBbAQ2Af8B9gE2Af8BnwY2AWcEUwGaAf8BGgFTAv8EUwFNEAABxwTUBP8B9AXU
-        AawBbAQ2AXkCNgFYAf8BWAU2AWcEUwGaAf8BGgFTAv8EUwFNEAABxwTUA/8H1AGsAWwINgEbAf8FNgFn
-        BFMBmgH/ARoBUwL/BFMBTRAAAccE1AH/CdQBrAFsCTYB/wGfBDYBZwRTAXUBGgF6AVMCGgRTAU0QAAHH
-        DtQBrAFsDTYBNwE2AWcOUwFNEAABxwGtDNQB2wGsAYYMNgI3ATYBhg5TAU0RAAGsAdUB2wjUAtsBrAHH
-        AQABNgw3ATYBbAEAAU0CeglTAXoBTQFnEQABoQKsAbMH1AGzAqwCAAGhAzYHNwI2AVACAAHEAk0JUwFN
-        AUwUAArHAaEFAAGGCWwBoQUAAYYIZwGMAaESAAFCAU0BPgcAAT4DAAEoAwABQAMAARADAAEBAQABAQUA
+        AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wMAAWwKNgE1AaEDAAHH
+        C6wBoQMAAWcLTQGhEgABUAE2AjcCNgY3AjYBoQEAAqwC2wfVAdsB1AGsAaEBAAFMAU0CWQJTBlkBUwFN
+        AaEQAAGhDjYBNQGhAawN1AGsAaEBTQFTAk0KUwFNEAABbA82AccO1AGsAYwBUwJNC1MBTRAAAWwGNgFX
+        CDYBxwTUAdwJ1AGsAWcCTQJTAZoB/wGaAVMC/wRTAU0QAAFsBTYBGwH/CDYBxwTUAv8B3AfUAawBZwFN
+        A1MBmgH/ARoBUwL/BFMBTRAAAWwENgFYAv8B9gc2AccE1AT/AdwF1AGsAWcEUwGaAf8BGgFTAv8EUwFN
+        EAABbAQ2Af8B9gE2Af8BnwY2AccE1Ab/AdsD1AGsAWcEUwGaAf8BGgFTAv8EUwFNEAABbAQ2AXkCNgFY
+        Af8BWAU2AccE1AT/AfQF1AGsAWcEUwGaAf8BGgFTAv8EUwFNEAABbAg2ARsB/wU2AccE1AP/B9QBrAFn
+        BFMBmgH/ARoBUwL/BFMBTRAAAWwJNgH/AZ8ENgHHBNQB/wnUAawBZwRTAXUBGgF6AVMCGgRTAU0QAAFs
+        DTYBNwE2AccO1AGsAWcOUwFNEAABhgw2AjcBNgHHAa0M1AHbAawBhg5TAU0RAAE2DDcBNgFsAQABrAHV
+        AdsI1ALbAawBxwEAAU0CeglTAXoBTQFnEQABoQM2BzcCNgFQAgABoQKsAbMH1AGzAqwCAAHEAk0JUwFN
+        AUwUAAGGCWwBoQUACscBoQUAAYYIZwGMAaESAAFCAU0BPgcAAT4DAAEoAwABQAMAARADAAEBAQABAQUA
         AYAXAAP/AQABwAEBAcABAQHAAQECAAGAAQABgAEAAYBbAAGAAQABgAEAAYADAAGAAQEBgAEBAYABAQIA
         AeABAwHgAQMB4AEDAgAL
 </value>
   </data>
+  <metadata name="updaterWoker.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>388, 41</value>
+  </metadata>
   <metadata name="ilSmallImgClient.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>17, 50</value>